orc-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Owen O'Malley (JIRA)" <j...@apache.org>
Subject [jira] [Created] (ORC-234) Create a shims module
Date Fri, 01 Sep 2017 21:28:00 GMT
Owen O'Malley created ORC-234:
---------------------------------

             Summary: Create a shims module
                 Key: ORC-234
                 URL: https://issues.apache.org/jira/browse/ORC-234
             Project: ORC
          Issue Type: Bug
          Components: Java
            Reporter: Owen O'Malley
            Assignee: Owen O'Malley
             Fix For: 1.5.0


We currently build all of ORC with Hadoop 2.6. Our shims let us run with older versions back
to Hadoop 2.2. However, it is easy to mess up and use Hadoop 2.6 features in core. Therefore,
I propose:

* We create a shim module that compiles with Hadoop 2.6 and move HadoopShims and HadoopShimsCurrent
into it.
* We build core and mapreduce with Hadoop 2.2.
* Tools & bench will continue to use Hadoop 2.6.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message